<!DOCTYPE composition PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<ui:composition xmlns:ui="http://java.sun.com/jsf/facelets" xmlns:s="http://jboss.org/schema/seam/taglib"
                xmlns:h="http://java.sun.com/jsf/html" xmlns:a4j="http://richfaces.org/a4j"
                xmlns:f="http://java.sun.com/jsf/core" xmlns:gri="http://java.sun.com/jsf/composite/gri"
                xmlns:rich="http://richfaces.org/rich" xmlns:gdk="http://www.ihe.net/gazellecdk"
                xmlns="http://www.w3.org/1999/xhtml" template="/layout/template.xhtml">
    <ui:param name="ID" value="XDSIVAL"/>
  <ui:define name="body">
      <h1>#{messages['net.ihe.gazelle.xdstar.ValidateXDSIbRetrieveImagingDocumentSetRequestRe']}</h1>
    <h:form id="globalForm">
      <s:div id="globalDiv">
        <gri:panel id="mainPanel">
            <f:facet name="header">
                #{messages['net.ihe.gazelle.xdstar.ValidateXDSIbRetrieveImagingDocumentSetRequestRe']}
            </f:facet>
            <h:outputText
                    value="#{messages['net.ihe.gazelle.xdstar.UploadTheRetrieveImagingDocumentSetRequestXMLReq']} "/>
          <gdk:spacer width="5px"/>
          <s:span styleClass="gzl-icon-question-circle" title ="You have to upload a document XML who contains a RetrieveImagingDocumentSetRequest, like this : #{XDSI69ValidatorManager.sampleRetrieveImagingDocumentSetRequest()}"/>
          <br/>
            <rich:fileUpload fileUploadListener="#{XDSI69ValidatorManager.uploadXDSIListener}" maxFilesQuantity="1" acceptedTypes="xml" listHeight="60px" immediateUpload="true">
              <a4j:ajax event="uploadcomplete" render="globalForm"/>
            </rich:fileUpload>
            <s:div rendered="#{XDSI69ValidatorManager.ridsName != null}" style="border:none;">
              <s:decorate template="/layout/display/_display.xhtml">
                  <ui:define name="label">#{messages['net.ihe.gazelle.xdstar.UploadedXDSIb']}</ui:define>
                <h:panelGrid columns="3">
                  <h:outputText value="#{XDSI69ValidatorManager.ridsName}"/>
                  <gdk:spacer width="5px"/>
                  <h:commandLink title="#{messages['net.ihe.gazelle.xdstar.Validate']}" action="#{XDSI69ValidatorManager.validateSelectedRetrieveImagingDocumentSetRequest()}"
                                 oncomplete="jq162('#validation_result_xdsi').modal('show')">
                    <span class="gzl-icon-play-blue"/>
                  </h:commandLink>
                </h:panelGrid>
              </s:decorate>
            </s:div>
          <br/>
            <h:outputText
                    value="#{messages['net.ihe.gazelle.xdstar.UploadTheKOSManifestRelatedToTheRetrieveImagingD']} "/>
          <br/>
            <rich:fileUpload fileUploadListener="#{XDSI69ValidatorManager.uploadManifestListener}" maxFilesQuantity="1" listHeight="60px" immediateUpload="true">
              <a4j:ajax event="uploadcomplete" render="globalForm"/>
            </rich:fileUpload>
            <s:div rendered="#{XDSI69ValidatorManager.manifestName != null}" style="border:none;">
              <s:decorate template="/layout/display/_display.xhtml">
                  <ui:define name="label">#{messages['net.ihe.gazelle.xdstar.UploadedManifest']}</ui:define>
                <h:panelGrid columns="3">
                  <h:outputText value="#{XDSI69ValidatorManager.manifestName}"/>
                  <gdk:spacer width="5px"/>
                  <h:commandLink title="#{messages['net.ihe.gazelle.xdstar.Validate']}" action="#{XDSI69ValidatorManager.validateCurrentDicomFile()}"
                                 oncomplete="jq162('#validation_result').modal('show')">
                    <span class="gzl-icon-play-blue"/>
                  </h:commandLink>
                </h:panelGrid>
              </s:decorate>
            </s:div>
					<a4j:commandButton styleClass="gzl-btn-green"
                                       value="#{messages['net.ihe.gazelle.xdstar.ValidateTheRetrieveImagingDocumentSetRequestAcco']}"
                                       action="#{XDSI69ValidatorManager.validateSelectedRetrieveImagingDocumentSetRequestWithManifest()}"
                                       render="globalForm" />
					<br/>
          <br/>
          <gri:tabPanel id="tabpanelcomm" rendered="#{XDSI69ValidatorManager.viewResultValidation}">
            <gri:tab immediate="true" head="Validation Result">
              <s:div rendered="#{XDSI69ValidatorManager.resultValidation != null and XDSI69ValidatorManager.resultValidation.size() &gt; 0}">
                <s:decorate template="/layout/display/_display.xhtml">
                    <ui:define name="label">#{messages['net.ihe.gazelle.xdstar.ValidationResult']}</ui:define>
                  <h:outputText value="#{XDSI69ValidatorManager.validationResult()}" styleClass="#{XDSI69ValidatorManager.validationResult()}"/>
                </s:decorate>
                <a4j:repeat value="#{XDSI69ValidatorManager.resultValidation}" var="valres">
                  <table style="width:98%;" class="#{XDSI69ValidatorManager.classStyleOf(valres)}">
                    <tbody>
                      <tr>
                        <td width="100" valign="top">
                            <b>#{messages['net.ihe.gazelle.xdstar.Test']}</b>
                        </td>
                        <td>#{valres.test}</td>
                      </tr>
                      <tr>
                        <td valign="top">
                            <b>#{messages['net.ihe.gazelle.xdstar.Description']}</b>
                        </td>
                        <td>#{valres.getClass().getSimpleName()} : #{valres.description}</td>
                      </tr>
                    </tbody>
                  </table>
                  <br/>
                </a4j:repeat>
              </s:div>
              <s:div rendered="#{XDSI69ValidatorManager.resultValidation == null or XDSI69ValidatorManager.resultValidation.size() == 0}">
                  <h:outputText
                          value="#{messages['net.ihe.gazelle.xdstar.ProblemToValidateYourDocumentPleaseContactTheAdm']}"/>
              </s:div>
            </gri:tab>
            <gri:tab immediate="true" head="XDS-I.b RetrieveImagingDocumentSetRequest">
              <gdk:insert content="#{XDSI69ValidatorManager.selectedRetrieveImagingDocumentSetRequest}" highlight="xml"/>
            </gri:tab>
            <gri:tab immediate="true" head="KOS Manifest">
              <gdk:insert content="#{XDSI69ValidatorManager.generatedManifestXML}" highlight="xml"/>
            </gri:tab>
          </gri:tabPanel>
        </gri:panel>
      </s:div>
    </h:form>
    <gri:popupPanel id="validation_result">
      <f:facet name="header">
        <h:outputText value="#{messages['net.ihe.gazelle.xdstar.ValidationResult']}"/>
      </f:facet>
      <f:facet name="footer">
        <div align="right">
          <a4j:commandButton styleClass="gzl-btn"
                             value="#{messages['net.ihe.gazelle.xdstar.Cancel']}"
                             onclick="jq162('#validation_result').modal('hide')"
                             execute="@this"/>
        </div>
      </f:facet>
      <h:form>
        <s:decorate id="uuid_view" style="width:780px; height:420px; overflow: auto;">
          <h:outputText value="#{XDSI69ValidatorManager.dicomValidationResult}" escape="false"/>
        </s:decorate>
      </h:form>
    </gri:popupPanel>
    <gri:popupPanel id="validation_result_xdsi">
      <f:facet name="header">
        <h:outputText value="#{messages['net.ihe.gazelle.xdstar.ValidationResult']}"/>
      </f:facet>
      <f:facet name="footer">
        <div align="right">
          <a4j:commandButton styleClass="gzl-btn"
                             value="#{messages['net.ihe.gazelle.xdstar.Cancel']}"
                             onclick="jq162('#validation_result_xdsi').modal('hide')"
                             execute="@this"/>
        </div>
      </f:facet>
      <h:form>
        <s:decorate id="uuid_view" style="width:880px; height:470px; overflow: auto;">
          <h:outputText value="#{XDSI69ValidatorManager.getValidationDetailsAsHtml(XDSI69ValidatorManager.ridsValidationResult)}" escape="false"/>
        </s:decorate>
      </h:form>
    </gri:popupPanel>
  </ui:define>
</ui:composition>
